<?php

namespace MintyPHP\Http;

interface RequestRuntimeInterface
{
    public function method(): string;

    public function path(): string;

    public function ip(): string;

    public function userAgent(): string;

    /**
     * @return array<string, mixed>
     */
    public function queryParams(): array;

    public function isSecure(): bool;
}
